@ECHO OFF

REM 
REM Use a reference dicom FILE and send it with different encoding to an SCP
REM

SET CONFIG_FILE=C:\Development\Tests\dicom.testdata\storescu.cfg
SET BIN=C:\Development\Tests\dicom.testdata\dcmtk-3.6.3\bin

SET STORESCU=%BIN%\storescu.exe
SET DCMCONV=%BIN%\dcmconv.exe

SET HOST=dicomscp.lab.local

SET DCMFILE=unittest_all_VRs_VMs_V1.1_ref_from_xml.dcm

SET DCMFILE_UDEF=%TEMP%\udef_grp_len_udef_seq_len.dcm
SET DCMFILE_DEF=%TEMP%\def_grp_len_def_seq_len.dcm

REM Shared options for storscu
REM -xf must be the last parameter, because after that the profile name needs to be specified
REM add -v for debuag purposes
SET OPTIONS=-aet DCMTK_SCU -aec DCMTK_SCP -xf %CONFIG_FILE% 

Echo.
Echo Send DICOM file with different encodings to %HOST%:104 
Echo.
Echo Create temporary files with defined and undefined group, sequence, and item length
Echo.

%DCMCONV% -g -e %DCMFILE% %DCMFILE_UDEF%
%DCMCONV% +g +e %DCMFILE% %DCMFILE_DEF%

Echo Send as implicit little endian
%STORESCU% %OPTIONS% ILE %HOST% 104 %DCMFILE_UDEF%
%STORESCU% %OPTIONS% ILE %HOST% 104 %DCMFILE_DEF%

Echo Send as explicit little endian
%STORESCU% %OPTIONS% ELE %HOST% 104 %DCMFILE_UDEF%
%STORESCU% %OPTIONS% ELE %HOST% 104 %DCMFILE_DEF%

Echo Send as explicit big endian
%STORESCU% %OPTIONS% EBE %HOST% 104 %DCMFILE_UDEF%
%STORESCU% %OPTIONS% EBE %HOST% 104 %DCMFILE_DEF%

Echo Done.
Echo.